module test;

wire SoutQ ,SoutR ,LoadM ,LoadQ ,LoadD ,Shl ,Sel ,SelM , Sco, NshlM;
reg Start ,clk;
wire [3:0] Out;
reg [3:0] In;

data datapath( Out, Sco, In, LoadM, LoadQ, LoadD, Shl, Sel, SelM, SoutR, SoutQ, NshlM ,clk);
controller control( SoutQ ,SoutR ,LoadM ,LoadQ ,LoadD ,Shl ,Sel ,SelM ,NshlM ,Start ,Sco ,clk);

always #10 clk=~clk;

initial
begin
	clk = 0;
	Start = 0;
	In = 4'b1001;							//High Bits
	#10
	Start = 1;
	#25
	Start = 1;
	In = 4'b1001;							//Low Bits
	#20;
	In = 4'b1011;							//Divisor
	#10;
	In = 4'b1011;
	#400;
	$stop;
end

endmodule