module controller( SoutQ ,SoutR ,LoadM ,LoadQ ,LoadD ,Shl ,Sel ,SelM , NshlM ,Start ,Sco ,clk);

output LoadM,LoadQ,LoadD,Shl,Sel,SelM,SoutQ,SoutR,NshlM;
reg LoadM,LoadQ,LoadD,Shl,Sel,SelM,SoutQ,SoutR,NshlM;
input Start,Sco,clk;

reg [3:0] current,next;

initial current = 4'b0000;

always @(posedge Start or current)
begin
	case (current)
			4'b0000 : if(Start == 1'b1) next = 4'b0001;
			4'b0001 : next = 4'b0010;
			4'b0010 : next = 4'b0011;
			4'b0011 : next = 4'b0100;
			4'b0100 : next = 4'b0101;
			4'b0101 : next = 4'b0110;
			4'b0110 : next = 4'b0111;
			4'b0111 : next = 4'b1000;
			4'b1000 : next = 4'b1001;
			4'b1001 : next = 4'b1010;
			4'b1010 : next = 4'b1011;
			4'b1011 : next = 4'b1100;
			4'b1100 : next = 4'b1101;
			4'b1101 : next = 4'b1110;
			4'b1110 : next = 4'b0000;
	endcase
end

always @ (posedge clk)
	current = next;

always @ (posedge clk)
begin
  {LoadM,LoadQ,LoadD,Shl,Sel,SelM,SoutQ,SoutR,NshlM}=10'b0000000000;
	case (current)
			4'b0001 :
				begin
					SelM = 1'b1;	
					LoadM = 1'b1;
				end
			4'b0010 : LoadQ = 1'b1;
			4'b0011 : LoadD = 1'b1;
			4'b0100 : Shl = 1'b1;
			4'b0101 : 
				begin
					LoadM = 1'b1;
					Sel = ~Sco;
				end							
			4'b0110 : Shl = 1'b1;
			4'b0111 : 
				begin
					LoadM = 1'b1;
					Sel = ~Sco;
				end							
			4'b1000 : Shl = 1'b1;
			4'b1001 : 
				begin
					LoadM = 1'b1;
					Sel = ~Sco;
				end							
			4'b1010 : Shl = 1'b1;
			4'b1011 : 
				begin
					LoadM = 1'b1;
					Sel = ~Sco;
				end							
			4'b1100 :
				begin
					Shl = 1;
					NshlM = 1;
				end
			4'b1101 : SoutQ = 1'b1;
			4'b1110 : SoutR = 1'b1;
	endcase
end

endmodule